btllib::BloomFilterInitializer Class Reference

## Public Member Functions

| BloomFilterInitializer (const std::string &path, const std::string &magic_string)
| BloomFilterInitializer (const BloomFilterInitializer &)=delete
| BloomFilterInitializer (BloomFilterInitializer &&)=default
BloomFilterInitializer & | operator= (const BloomFilterInitializer &)=delete
BloomFilterInitializer & | operator= (BloomFilterInitializer &&)=default

## Static Public Member Functions

static std::shared_ptr< cpptoml::table > | parse_header (std::ifstream &file, const std::string &magic_string)

## Public Attributes

std::ifstream | ifs
std::shared_ptr< cpptoml::table > | table

## Member Function Documentation

## parse_header()

std::shared_ptr< cpptoml::table > btllib::BloomFilterInitializer::parse_header | ( | std::ifstream & | file,
|  | const std::string & | magic_string
| ) |  |

inline static

Parse a Bloom filter file header. Useful for implementing Bloom filter variants.

The documentation for this class was generated from the following file:

- include/btllib/bloom_filter.hpp